Package org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.DeleteCopyField

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<T>
    - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
        - - org.apache.solr.client.solrj.request.schema.SchemaRequest.DeleteCopyField

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SchemaRequest

    public static class SchemaRequest.DeleteCopyField
    extends SchemaRequest.Update

Deletes a copy field rule from the schema of the specified collection. If the copy field rule does not exist in the schema then the method call `SolrRequest.process(SolrClient, String)` will fail.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`DeleteCopyField​(String source, List<String> dest)` Creates a new instance of the request.
`DeleteCopyField​(String source, List<String> dest, SolrParams q)`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

`createResponse, getContentWriter`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams, getRequestType`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteCopyField

    public DeleteCopyField​(String source,
                           List<String> dest)

Creates a new instance of the request.

Parameters:
  `source` - the source field name
  `dest` - the collection of the destination field names

#### DeleteCopyField

    public DeleteCopyField​(String source,
                           List<String> dest,
                           SolrParams q)